get_filename <- function(dir, var, date, fcst.sdate, agg, horizon, file.type) {
  # This function builds the path of the output file based on directory,
  # variable, forecast date, startdate, aggregation, forecast horizon and
  # type of metric/forecast/probability.
    
  if (horizon == "seasonal") { 
    shortdate <- format(as.Date(as.character(sdate),"%Y%m%d"), "%m")
    dd <- "month"
  } else {
    shortdate <- format(as.Date(as.character(sdate),"%Y%m%d"), "%V")
    dd <- "week"
  }
  
  switch (tolower(agg),
	  "country" = {gg <- "-country"},
          "global" = {gg <- ""})

  switch (file.type,
	  "skill" = {file <- paste0(var, gg, "-skill_", dd, shortdate)})

  return(paste0(dir, file, ".nc"))

}

get_dir <- function(outdir, variable, fcst.sdate, agg) {
  # This function builds the path for the output directory. The output
  # directories will be subdirectories within outdir, organized by variable,
  # startdate, and aggregation.

  switch (tolower(agg),
	  "country" = {dir <- paste0(outdir, "/", variable, 
				      "_country/", fcst.sdate, "/")},
	  "global" = {dir <- paste0(outdir, "/", variable, "/",
				    fcst.sdate, "/")})

  return(dir)

}
